<div class="mb-0 mt-1 text-center" role="alert">
  <div class="">Lancer la traitement Watch List</div>
  <div class="mt-2">
      <!-- <button mat-mini-fab type="button" class="btn  btn-sm" [disabled]="loading"
          (click)="onSubmit()"><em *ngIf="loading" class="fa fa-spinner fa-spin"></em>
          <i class="ri-shield-flash-line flash"></i>
        </button> -->

        <button mat-mini-fab  class="" aria-label="" [disabled]="loading" (click)="onWatchListProcess()" >
          <mat-icon  class="menu-add-icon menu-add-user"><em *ngIf="loading" class="fa fa-spinner fa-spin"></em>
            <i *ngIf="!loading" class="ri-shield-flash-line flash"></i></mat-icon>
        </button>           
  </div>
  

</div>


<!-- WATCH LIST PROCESS -->

<div id="">

  <!-- <div class="pt-0 pb-1 px-2" *ngIf="loading">
    <div class="mx-auto text-center">
      <em class="fa fa-spinner fa-spin fa-2x"></em>
    </div>
  </div> -->

  <div class="p-0" *ngIf="!loading">

    <div class="row">
      <div class="col-4 font-weight-bold text-center h5">
        <span class="text-success" *ngIf="data?.watchlistStatusList?.length===0">
          {{'ACCOUNT_DETAILS.WATCHLIST.RESULT_NR'|translate}}
        </span>
        <span class="text-danger" *ngIf="data?.watchlistStatusList?.length>=1">
          {{'ACCOUNT_DETAILS.WATCHLIST.RESULT_R'|translate}}
        </span>
      </div>
    </div>



     
        <div class="mt-1">
        <div class="ibox-title p-2">
          <div class="ibox-title-child" style="display: inline-block">
              {{'ACCOUNT_DETAILS.WATCHLIST.TITLE'|translate}}</div>
          <button mat-mini-fab class="menu-add mb-1 ml-1 non_risque   " aria-label="Example icon-button with a menu" (click)="onSubmit(false)">
              <mat-icon matTooltip="non risqué" class="menu-add-icon menu-add-user"><i class="ri-thumb-up-fill" ></i></mat-icon>
          </button>
          <button mat-mini-fab class="menu-add mb-1 risque  " aria-label="Example icon-button with a menu" (click)="onSubmit(true)">
            <mat-icon matTooltip="risqué" class="menu-add-icon menu-add-user"><i class="ri-thumb-down-fill"></i></mat-icon>
        </button>
      </div>

          <div class="">
            <app-data-table [settings]="settings" [items]="watchlistStatusList" [enableSearch]="false"
                            [enableFilterColumn]="false"></app-data-table>
          </div>

        </div>
      

  </div>

</div>
